> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Account / IBAN

> Getting your iban details with Flick 



## OpenAPI

````yaml /openapi/collections.json post /merchant/retrieve-iban
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/retrieve-iban:
    post:
      tags:
        - Virtual Account/IBANs
      summary: Retrieve Account / IBAN
      description: 'Getting your iban details with Flick '
      operationId: Retrieving iban details
      requestBody:
        description: retrieve iban Payment
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/retrieve'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTemporayNuban'
        '400':
          description: Error loggin in, please check your login details and try again
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    retrieve:
      required:
        - payerId
      type: object
      properties:
        payerId:
          type: string
          example: 4a2860-9087-049e
    GetTemporayNuban:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Iban fetched successfully
        data:
          type: object
          properties:
            payerId:
              type: integer
              example: 1818-0046-47b1-9c8e-ed9afe3
            sortCode:
              type: string
              example: 459087-
            accountNumber:
              type: integer
              example: ''
            iban:
              type: integer
              example: 2345678987654HJKL
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.